Wallets Digitales
GET https://gerencia.tagclic.com/api/digital-wallets/
curl --request GET \
--url 'https://gerencia.tagclic.com/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gerencia.tagclic.com/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| domain_id | Opcional Entero | Dominio |
| link_id | Opcional Entero | ID de enlace |
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | Por qué campo está buscando. Los valores permitidos son: name. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: digital_wallet_id, domain_id, link_id, pageviews, last_datetime, name, datetime. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que desea obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"wallet_urls": {
"google": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
"apple": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
},
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-23 01:28:24"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://gerencia.tagclic.com/api/digital-wallets?page=1",
"last": "https://gerencia.tagclic.com/api/digital-wallets?page=1",
"next": null,
"prev": null,
"self": "https://gerencia.tagclic.com/api/digital-wallets?page=1"
}
}
GET https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}
curl --request GET \
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"wallet_urls": {
"google": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
"apple": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
},
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-23 01:28:24"
}
}
POST https://gerencia.tagclic.com/api/digital-wallets
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | Nombre interno utilizado para identificar esta tarjeta de billetera en su cuenta. |
| title | Requerido Cadena | Texto principal mostrado en la tarjeta de la Wallet Digital. |
| location_url | Requerido Cadena | Esta URL se utiliza para el código QR de la Billetera Digital y la acción principal. |
| link_id | Opcional Entero | Opcionalmente, elige uno de tus enlaces existentes. Su URL de destino se usará automáticamente. |
| subtitle | Opcional Cadena | Texto de apoyo opcional que se muestra debajo del título. |
| logo | Opcional Archivo | Logotipo |
| image | Opcional Archivo | Banner ancho que se muestra en la parte superior de la tarjeta de la Billetera Digital. Relación de aspecto recomendada: 3:1. |
| background_color | Opcional Cadena | Color de fondo |
| phone | Opcional Cadena | Número de teléfono |
| Opcional Cadena | Correo electrónico | |
| website | Opcional Cadena | Sitio web |
curl --request POST \
--url 'https://gerencia.tagclic.com/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=AltumCode' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=hello@example.com'
--url 'https://gerencia.tagclic.com/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=AltumCode' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=hello@example.com'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"wallet_urls": {
"google": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
"apple": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
},
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-23 01:28:24"
}
}
POST https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | Nombre interno utilizado para identificar esta tarjeta de billetera en su cuenta. |
| title | Opcional Cadena | Texto principal mostrado en la tarjeta de la Wallet Digital. |
| location_url | Opcional Cadena | Esta URL se utiliza para el código QR de la Billetera Digital y la acción principal. |
| link_id | Opcional Entero | Opcionalmente, elige uno de tus enlaces existentes. Su URL de destino se usará automáticamente. |
| subtitle | Opcional Cadena | Texto de apoyo opcional que se muestra debajo del título. |
| logo | Opcional Archivo | Logotipo |
| image | Opcional Archivo | Banner ancho que se muestra en la parte superior de la tarjeta de la Billetera Digital. Relación de aspecto recomendada: 3:1. |
| background_color | Opcional Cadena | Color de fondo |
| phone | Opcional Cadena | Número de teléfono |
| Opcional Cadena | Correo electrónico | |
| website | Opcional Cadena | Sitio web |
curl --request POST \
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"wallet_urls": {
"google": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
"apple": "https://gerencia.tagclic.com/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
},
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Updated business card",
"pageviews": 0,
"settings": {
"title": "Senior PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": "2026-07-23 01:28:24",
"datetime": "2026-07-23 01:28:24"
}
}
DELETE https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}
curl --request DELETE \
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gerencia.tagclic.com/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \